Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.regex
Class SurrogateRegexTranslator.Dot

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.Dot

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.Dot

extends Object

Character class representing the characters matched by the XPath "." metacharacter

Constructor Summary
`SurrogateRegexTranslator.Dot()`

Method Summary
`void` | `outputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer
`void` | `outputComplementBmp(FastStringBuffer buf)` Output a representation of the complement of the subset of this character class that's within the BMP, to a supplied buffer

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.Dot

    public SurrogateRegexTranslator.Dot()

Method Detail

### outputBmp

    public void outputBmp(FastStringBuffer buf)

  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer

  Parameters:
    `buf` - the supplied buffer

### outputComplementBmp

    public void outputComplementBmp(FastStringBuffer buf)

  Output a representation of the complement of the subset of this character class that's within the BMP, to a supplied buffer

  Parameters:
    `buf` - the supplied buffer

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.